Bug 108730 - Calc cuts very high cells when printing or creating a PDF
Summary: Calc cuts very high cells when printing or creating a PDF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.beta2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-UX Calc-Cells
  Show dependency treegraph
 
Reported: 2017-06-24 12:30 UTC by kolAflash
Modified: 2018-06-27 02:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example with a very high cell, which breaks when printing it (10.49 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-06-24 12:30 UTC, kolAflash
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kolAflash 2017-06-24 12:30:22 UTC
Created attachment 134245 [details]
example with a very high cell, which breaks when printing it

Split off from: https://bugs.documentfoundation.org/show_bug.cgi?id=84099


If you print a Calc table with a very high cell (higher than a page), the upper end of the cell won't be printed at all.

Correct behaviour would be to split the cell over multiple pages.


To Test, create a small column (5 cm) in Calc and copy this whole text to into one field.

https://la.wikisource.org/wiki/Lorem_ipsum
(I'm also attaching an example file)

And you have to set:
=> right click cell
=> Format Cells...
=> Alignment
=> Wrap text automatically


The bug appears with a normal printer. (I think it was a HP model I used when creating the original bug)
But the simplest way to test is to print to PDF.
It should be at least reproducible via the LibreOffice PDF feature  via Linux/CUPS PDF printer.
Comment 1 raal 2017-06-26 17:06:31 UTC
Confirm. Version: 6.0.0.0.alpha0+
Build ID: d6c4c576ef71f2294ec8eefc6576a797220e6809
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-17_23:12:53
Comment 2 QA Administrators 2018-06-27 02:48:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug